Page MenuHomePhabricator

Check home/HDFS leftovers of joewalsh
Closed, ResolvedPublic

Description

The access for Joe Walsh (joewalsh) was removed. It needs to be checked if data was left in home dirs on stat*/notebook*/HDFS since they were part of the "analytics-privatedata-users" group.

The account didn't have a Kerberos principal to remove.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2020, 7:17 AM
Milimetric moved this task from Incoming to Ops Week on the Analytics board.Oct 19 2020, 4:16 PM
mforns added a subscriber: mforns.Oct 22 2020, 3:46 PM
stat1005

mforns@stat1005:~$ ls -lh /home/joewalsh/
total 0

stat1006

mforns@stat1006:~$ ls -lh /home/joewalsh/
total 4.0K
-rw-rw-r-- 1 14815 wikidev 0 Mar 13 2020 file_name.tsv
-rw-rw-r-- 1 14815 wikidev 340 Mar 13 2020 my_query.hql

stat1007

mforns@stat1007:~$ ls -lh /home/joewalsh/
total 0

stat1008

mforns@stat1008:~$ ls -lh /home/joewalsh/
total 0

HDFS

mforns@an-launcher1002:~$ hdfs dfs -ls /user/joewalsh


One of the files in stat1006 is empty, and the other is a simple query.
I believe we can delete all.
I removed already the empty user's folder in HDFS.

elukey closed this task as Resolved.Oct 23 2020, 7:05 AM
elukey claimed this task.
elukey added a subscriber: elukey.

All stat100x home dirs removed!